Bug 4552 - Some applications crash with nvidia340, nvidia-current and maybe other nvidia drivers
: Some applications crash with nvidia340, nvidia-current and maybe other nvidia...
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Eugene Shatokhin
: ROSA Linux Bugs
:
Depends on:
Blocks: 4545
  Show dependency treegraph
 
Reported: 2014-10-17 16:41 MSD by Andrey Bondrov
Modified: 2014-10-24 18:24 MSD (History)
1 user (show)

See Also:
RPM Package: nvidia340, nvidia-current and maybe others
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2014-10-17 16:41:47 MSD
Some applications crash with nvidia340, nvidia-current and maybe other nvidia drivers. For example, pipelight and fs-uae. 

The issue comes from __GL_WRITE_TEXT_SECTION option and the workaround is to add 
export __GL_WRITE_TEXT_SECTION=0
to 
/etc/profile.d/68nvidia-defaults.sh
(a file from nvidia-additional-settings package)

How to reproduce. The easiest way is to install fs-uae package and run /usr/bin/fs-uae-real from terminal (/usr/bin/fs-uae is a wrapper with __GL_WRITE_TEXT_SECTION set to 0).

We need to check if this issue is fixed in latest 340.x drivers. And if it's not, we need to add "export __GL_WRITE_TEXT_SECTION=0" to nvidia-additional-settings.
Comment 1 Eugene Shatokhin 2014-10-20 14:32:49 MSD
(In reply to comment #0)
> We need to check if this issue is fixed in latest 340.x drivers. And if it's
> not, we need to add "export __GL_WRITE_TEXT_SECTION=0" to
> nvidia-additional-settings.

The latest version (340.46) of 340.x branch still has the problem. Investigating further...
Comment 2 Eugene Shatokhin 2014-10-21 13:25:51 MSD
Advisory:
nvidia-additional-settings was updated to set __GL_WRITE_TEXT_SECTION environment variable to 0 (a workaround for bug 4552).

Build lists:
i586:
https://abf.rosalinux.ru/build_lists/2317033
x86_64:
https://abf.rosalinux.ru/build_lists/2317034

Hints for testing.
The changes will apply after reboot.
Comment 3 Vladimir Potapov 2014-10-24 17:49:32 MSD
nvidia-additional-settings-1-3
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2317033/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2317034/x86_64/main/release/
************************** Advisory *************************
nvidia-additional-settings was updated to set __GL_WRITE_TEXT_SECTION environment variable to 0 (a workaround for bug 4552).
*************************************************************
QA Verified